%define module	selenium
%define name	python-%{module}
%define version 2.14.0
%define release %mkrel 4

Summary:	Python bindings for Selenium
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
License:	Apache License
Group:		Development/Python
Url:		http://pypi.python.org/pypi/selenium
Requires:	python-rdflib >= 3.1.0
BuildRequires:	python-devel, python-setuptools
ExclusiveArch:	%{ix86} x86_64

%description
Selenium Python Client Driver is a Python language binding for
Selenium Remote Control (version 1.0 and 2.0).

Currently the remote protocol, Firefox and Chrome for Selenium 2.0 are
supported, as well as the Selenium 1.0 bindings.

%prep
%setup -q -n %{module}-%{version}

%install
PYTHONDONTWRITEBYTECODE= %__python setup.py install \
	--root=%{buildroot} \
	--install-lib=%{python_sitearch} \
	--install-data=%{python_sitearch}

%if "%{_lib}" == "lib64"
rm -f %{buildroot}%py_platsitedir/selenium/webdriver/firefox/x86/x_ignore_nofocus.so
%else
rm -f %{buildroot}%py_platsitedir/selenium/webdriver/firefox/amd64/x_ignore_nofocus.so
%endif

%files
%doc COPYING CREDITS.txt
%py_platsitedir/*


%changelog

* Sun Dec 04 2011 dmorgan <dmorgan> 2.14.0-4.mga2
+ Revision: 176606
+ rebuild (emptylog)

* Sat Dec 03 2011 fwang <fwang> 2.14.0-3.mga2
+ Revision: 175408
- finally kill wrong arch-dependent files

* Sat Dec 03 2011 fwang <fwang> 2.14.0-2.mga2
+ Revision: 175333
- should not be noarch pacakage

* Wed Nov 30 2011 lebedov <lebedov> 2.14.0-1.mga2
+ Revision: 174430
- Update to 2.14.0.

* Sun Oct 30 2011 lebedov <lebedov> 2.11.1-1.mga2
+ Revision: 159910
- Update to 2.11.1.

* Thu Oct 06 2011 lebedov <lebedov> 2.8.1-1.mga2
+ Revision: 152494
- Update to 2.8.1.

* Mon Sep 26 2011 lebedov <lebedov> 2.7.0-1.mga2
+ Revision: 148818
- Update to 2.7.0.

* Tue Sep 20 2011 lebedov <lebedov> 2.6.0-1.mga2
+ Revision: 146171
- imported package python-selenium

